# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'coin-address-validators/version'

Gem::Specification.new do |spec|
  spec.name          = "coin-address-validators"
  spec.version       = CoinAddressValidators::VERSION
  spec.authors       = ["Phuong Nguyen"]
  spec.email         = ["phuongnd08@gmail.com"]
  spec.summary       = %q{Validators for btc, bch, ltc, eth, xrp addresses}
  spec.description   = %q{Validators for btc, bch, ltc, eth, xrp addresses}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "bitcoin-ruby"
  spec.add_dependency "base_x"
  spec.add_dependency "base58"
  spec.add_dependency "cashaddress"
  spec.add_dependency "eth"

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency("rspec", [">= 0"])
  spec.add_development_dependency("byebug", [">= 0"])
end
